--- Core.pm.bkp	2008-08-13 10:59:45.000000000 -0300
+++ Core.pm	2008-08-13 14:15:11.000000000 -0300
@@ -1075,8 +1075,6 @@
         push( @styles, "$selector th {$attr}" );
         push( @styles, "$selector th a:link {$attr}" );
         push( @styles, "$selector th a:visited {$attr}" );
-        push( @styles, "$selector th a:link font {$attr}" );
-        push( @styles, "$selector th a:visited font {$attr}" );
         my $hoverLinkColor = $cssAttrs{headerBg} || '#fff';
         my $hoverBackgroundColor = $cssAttrs{headerColor};
         $attr =
@@ -1085,7 +1083,6 @@
           . ';background-color:'
           . $hoverBackgroundColor . ';';
         push( @styles, "$selector th a:hover {$attr}" );
-        push( @styles, "$selector th a:hover font {$attr}" );
     }
 
     # databg (array)
@@ -1135,7 +1132,6 @@
                 $rowSelector .= $count;
                 my $attr = 'color:' . $_ . ';';
                 push( @styles, "$selector tr.$rowSelector td {$attr}" );
-                push( @styles, "$selector tr.$rowSelector td font {$attr}" );
                 $count++;
             }
         }
@@ -1421,7 +1417,6 @@
                         CGI::img(
                             {
                                 src    => $iconUrl . 'tablesortup.gif',
-                                border => 0,
                                 width  => 11,
                                 height => 13,
                                 alt    => 'Sorted ascending',
@@ -1434,7 +1429,6 @@
                         CGI::img(
                             {
                                 src    => $iconUrl . 'tablesortdown.gif',
-                                border => 0,
                                 width  => 11,
                                 height => 13,
                                 alt    => 'Sorted descending',
@@ -1447,7 +1441,6 @@
                         CGI::img(
                             {
                                 src    => $iconUrl . 'tablesortdiamond.gif',
-                                border => 0,
                                 width  => 11,
                                 height => 13,
                                 alt    => 'Sort',
@@ -1457,10 +1450,6 @@
                     );
                 }
 
-                # DG: allow headers without b.g too (consistent and yes,
-                # I use this)
-                # html attribute
-                $attr->{bgcolor} = $headerBg unless ( $headerBg =~ /none/i );
 
                 # attribute 'maxcols' does not exist in html
                 # so commenting out
@@ -1488,23 +1477,8 @@
                       . $tableAnchor;
                 }
 
-                if ($headerColor) {
-
-                    my $cellAttrs = { color => $headerColor };
-
-                    # html attribute
-                    $cell = CGI::font( $cellAttrs, $cell );
-                }
 
                 if ( $sortThisTable && $rowCount == $headerRows - 1 ) {
-                    if ($isSorted) {
-                        unless ( $headerBgSorted =~ /none/i ) {
-
-                            # html attribute
-                            $attr->{bgcolor} = $headerBgSorted;
-                        }
-                    }
-
                     my $debugText      = '';
                     my $linkAttributes = {
                         href => $url
@@ -1533,41 +1507,10 @@
 
             }
             else {
-
-                # $type is not 'th'
-                if (@dataBg) {
-                    my $bgcolor;
-                    if ( $isSorted && @dataBgSorted ) {
-                        $bgcolor =
-                          $dataBgSorted[ $dataColorCount % (
-                              $#dataBgSorted + 1 ) ];
-                    }
-                    else {
-                        $bgcolor =
-                          $dataBg[ $dataColorCount % ( $#dataBg + 1 ) ];
-                    }
-                    unless ( $bgcolor =~ /none/i ) {
-
-                        # html attribute
-                        $attr->{bgcolor} = $bgcolor;
-                    }
-                }
-                if (@dataColor) {
-                    my $color =
-                      $dataColor[ $dataColorCount % ( $#dataColor + 1 ) ];
-
-                    unless ( $color =~ /^(none)$/i ) {
-                        my $cellAttrs = { color => $color };
-
-                        # html attribute
-                        $cell = CGI::font( $cellAttrs, ' ' . $cell . ' ' );
-                    }
-                }
                 $type = 'td' unless $type eq 'Y';
             }    ###if( $type eq 'th' )
 
             if ($isSorted) {
-                $attr->{class} = _appendSortedCssClass( $attr->{class} );
             }
 
             my $isLastRow = ( $rowCount == $numberOfRows - 1 );
